<template>
  <q-card flat class="q-pa-sm q-mt-lg rounded-borders-10">
    <q-card-section class="save-jobs-section">
      <span class="title-xsmall text-grey"> RECENTLY SAVED JOBS </span>
    </q-card-section>

    <q-card-section class="save-jobs-section">
      <div class="row">
        <div class="col">
          <q-card
            v-for="(job, k) in jobStore.savedJobs.slice(0, 5)"
            :key="k"
            flat
            class="bg-grey-2 q-px-md q-py-md q-mb-sm rounded-borders-10 job-card"
          >
            <div class="row">
              <div class="col-1 q-mr-lg">
                <custom-avatar
                  :photoUrl="job.job_post.user.profile_picture_url"
                  :name="job.company_name"
                  userType="jobseeker"
                  fontSize="11px"
                  size="30px"
                  :circle="false"
                  shadow="shadow-5"
                  class="company-logo"
                />
              </div>
              <div class="col" align="left">
                <span
                  class="title-5 text-dark"
                  style="
                    text-overflow: clip;
                    white-space: nowrap;
                    overflow: hidden;
                    display: block;
                  "
                  >{{ job.job_post.job_title }}</span
                >
                <div
                  class="title-xsmall text-uppercase q-mt-xs"
                  style="
                    color: #4f4f4f;
                    text-overflow: clip;
                    white-space: nowrap;
                    overflow: hidden;
                    display: block;
                  "
                >
                  {{ job.job_post.company_name }}
                </div>
              </div>
            </div>
          </q-card>
        </div>
      </div>
    </q-card-section>
  </q-card>
</template>

<script>
import { defineComponent } from "vue";
import { useJob } from "../../store/job";
import CustomAvatar from "src/components/CustomAvatar.vue";

export default defineComponent({
  components: { CustomAvatar },
  setup() {
    const jobStore = useJob();
    const { getSavedJobs } = jobStore;

    getSavedJobs();

    return {
      jobStore,
    };
  },
});
</script>

<style lang="scss" scoped>
.logo-container {
  width: 30px;
  height: 30px;
  background-color: $brand-1;
}

@media only screen and (max-width: 1024px) and (min-width: 768px) {
  .save-jobs-section {
    padding: 8px 4px;
  }

  .job-card {
    padding: 12px 10px;

    .company-logo {
      font-size: 21px !important;
    }

    .title-5 {
      font-size: 12px;
    }

    .title-xsmall {
      font-size: 10px;
    }
  }
}
</style>
